#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#define		__python	python3
#-----------------------------------------------------------------------------
Name		:	libblockdev
Version		:	2.26
Release		:	16.2.0.rel%{?dist}
Summary		:	A library for low-level manipulation with block devices
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/storaged-project/libblockdev

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	json-c-devel
BuildRequires	:	libbytesize
BuildRequires	:	libyaml
BuildRequires	:	nss
BuildRequires	:	cryptsetup-devel
BuildRequires	:	parted
BuildRequires	:	volume_key

#-----------------------------------------------------------------------------
%description
The '%{name}' is a C library with GObject introspection support that
can be used for doing low-level operations with block devices like
setting up LVM, BTRFS, LUKS or MD RAID. The library uses plugins (LVM,
BTRFS,...) and serves as a thin wrapper around its plugins'
functionality. All the plugins, however, can be used as standalone
libraries. One of the core principles of libblockdev is that it is
stateless from the storage configuration's perspective (e.g. it has no
information about VGs when creating an LV).

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sysconfdir}/%{name}/conf.d/*.cfg
%{_bindir}/lvm-cache-stats
%{_libdir}/libbd_*.so.*
%{_libdir}/%{name}.so.*

#=============================================================================
%package		devel
Summary		:	Development files for libblockdev

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	glib-devel

#-----------------------------------------------------------------------------
%description		devel
This package contains header files and pkg-config files needed for development
with the libblockdev library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/blockdev/*.h
%{_includedir}/blockdev/fs/*.h
%{_libdir}/libbd_*.so
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/blockdev*.pc

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e 's/g_memdup/&2/'					\
  src/lib/plugin_apis/vdo.{c,api}			\
  src/plugins/vdo.c

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--enable-introspection=no			\
	--without-gtk-doc				\
	--without-nvdimm 				\
	--without-dm    				\
	--with-python2=no				\
	--with-python3=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete



%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
